Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface SNMPLogFilterMBean

All Superinterfaces:
  ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, SNMPTrapSourceMBean, weblogic.management.WebLogicMBean

public interface SNMPLogFilterMBean
extends SNMPTrapSourceMBean

This MBean represents a filter to qualify log messages which are logged to the server logfile. A message must qualify criteria specified as a filter in order to generate a trap. Multiple instances of this MBean can be defined, if needed. If there are multiple instances, a message must qualify atleast one filter to qualify for the server logfile.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`boolean` | `addMessageId(String messageid)` Adds a feature to the MessageId attribute of the SNMPLogFilterMBean object
`boolean` | `addSubsystemName(String subsystem)` Adds a feature to the SubsystemName attribute of the SNMPLogFilterMBean object
`boolean` | `addUserId(String userid)` Adds a feature to the UserId attribute of the SNMPLogFilterMBean object
`String[]` | `getMessageIds()` A list of message IDs or ID ranges that cause WebLogic Server to generate a trap.
`String` | `getMessageSubstring()` A string that is searched for in the message text.
`String` | `getSeverityLevel()` The minimum severity of a message that causes WebLogic Server to generate a trap.
`String[]` | `getSubsystemNames()` A list of subsystems whose messages are selected by this log filter.
`String[]` | `getUserIds()` A list of user IDs that causes WebLogic Server to generate a trap.
`boolean` | `removeMessageId(String messageid)`
`boolean` | `removeSubsystemName(String subsystem)`
`boolean` | `removeUserId(String userid)`
`void` | `setMessageIds(String[] messageIdList)` Sets the value of the MessageIds attribute.
`void` | `setMessageSubstring(String MessageSubString)` Sets the value of the MessageSubstring attribute.
`void` | `setSeverityLevel(String severityLevel)` Sets the value of the SeverityLevel attribute.
`void` | `setSubsystemNames(String[] subsystemList)` Sets the value of the SubsystemNames attribute.
`void` | `setUserIds(String[] userIdList)` Sets the value of the UserIds attribute.

Methods inherited from interface weblogic.management.configuration.SNMPTrapSourceMBean
`addEnabledServer, getEnabledServers, removeEnabledServer, setEnabledServers`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### addMessageId

    public boolean addMessageId(String messageid)
                         throws InvalidAttributeValueException,
                                ConfigurationException

  Adds a feature to the MessageId attribute of the SNMPLogFilterMBean object

  Parameters:
    `messageid` - The feature to be added to the MessageId attribute
  Returns:
  Throws:
    `InvalidAttributeValueException`
    `ConfigurationException`

### addSubsystemName

    public boolean addSubsystemName(String subsystem)
                             throws InvalidAttributeValueException,
                                    ConfigurationException

  Adds a feature to the SubsystemName attribute of the SNMPLogFilterMBean object

  Parameters:
    `subsystem` - The feature to be added to the SubsystemName attribute
  Returns:
  Throws:
    `InvalidAttributeValueException`
    `ConfigurationException`

### addUserId

    public boolean addUserId(String userid)
                      throws InvalidAttributeValueException,
                             ConfigurationException

  Adds a feature to the UserId attribute of the SNMPLogFilterMBean object

  Parameters:
    `userid` - The feature to be added to the UserId attribute
  Returns:
  Throws:
    `InvalidAttributeValueException`
    `ConfigurationException`

### getMessageIds

    public String[] getMessageIds()

  A list of message IDs or ID ranges that cause WebLogic Server to generate a trap.

  If no IDs are specified, this filter selects all message IDs.

  Example list: 20,50-100,300

  Returns:
    The messageIds value

### getMessageSubstring

    public String getMessageSubstring()

  A string that is searched for in the message text. Only messages that contain the string are selected. If a string is not specified, all messages are selected.

  Returns:
    The messageSubstring value

### getSeverityLevel

    public String getSeverityLevel()

  The minimum severity of a message that causes WebLogic Server to generate a trap.

  Returns:
    The severityLevel value
  See Also:
    weblogic.logging.Severities
  Default value:
    weblogic.logging.Severities.WARNING_TEXT

### getSubsystemNames

    public String[] getSubsystemNames()

  A list of subsystems whose messages are selected by this log filter. If none are specified, messages from all subsystems are selected.

  Returns:
    The subsystemNames value

### getUserIds

    public String[] getUserIds()

  A list of user IDs that causes WebLogic Server to generate a trap.

  Every message includes the user ID from the security context in which the message was generated.

  If the user ID field for a message matches one of the user IDs you specify in the filter, WebLogic Server generates a trap.

  If this log filter doesn't specify user IDs, WebLogic Server can generate a trap for messages from all user IDs.

  Returns:
    The userIds value

### removeMessageId

    public boolean removeMessageId(String messageid)
                            throws InvalidAttributeValueException,
                                   ConfigurationException

  Parameters:
    `messageid` -
  Returns:
  Throws:
    `InvalidAttributeValueException`
    `ConfigurationException`

### removeSubsystemName

    public boolean removeSubsystemName(String subsystem)
                                throws InvalidAttributeValueException,
                                       ConfigurationException

  Parameters:
    `subsystem` -
  Returns:
  Throws:
    `InvalidAttributeValueException`
    `ConfigurationException`

### removeUserId

    public boolean removeUserId(String userid)
                         throws InvalidAttributeValueException,
                                ConfigurationException

  Parameters:
    `userid` -
  Returns:
  Throws:
    `InvalidAttributeValueException`
    `ConfigurationException`

### setMessageIds

    public void setMessageIds(String[] messageIdList)

  Sets the value of the MessageIds attribute.

  Parameters:
    `messageIdList` - The new messageIds value
  See Also:
    `getMessageIds()`

### setMessageSubstring

    public void setMessageSubstring(String MessageSubString)
                             throws InvalidAttributeValueException,
                                    ConfigurationException

  Sets the value of the MessageSubstring attribute.

  Parameters:
    `MessageSubString` - The new messageSubstring value
  Throws:
    `InvalidAttributeValueException`
    `ConfigurationException`
  See Also:
    `getMessageSubstring()`

### setSeverityLevel

    public void setSeverityLevel(String severityLevel)

  Sets the value of the SeverityLevel attribute.

  Parameters:
    `severityLevel` - The new severityLevel value
  See Also:
    `getSeverityLevel()`

### setSubsystemNames

    public void setSubsystemNames(String[] subsystemList)

  Sets the value of the SubsystemNames attribute.

  Parameters:
    `subsystemList` - The new subsystemNames value
  See Also:
    `getSubsystemNames()`

### setUserIds

    public void setUserIds(String[] userIdList)

  Sets the value of the UserIds attribute.

  Parameters:
    `userIdList` - The new userIds value
  See Also:
    `getUserIds()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD